[module-jackdbus-detect] pulseaudio crashed with SIGSEGV in pa_hashmap_free()

Bug #867444 reported by Shanekpiper on 2011-10-04
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
David Henningsson
Oneiric
Undecided
Unassigned

Bug Description

just started the PC and got the error

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: pulseaudio 1:1.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: shane 2023 F.... pulseaudio
 /dev/snd/pcmC0D0p: shane 2023 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xdb300000 irq 47'
   Mixer name : 'Nvidia MCP77/78 HDMI'
   Components : 'HDA:10ec0889,10250145,00100004 HDA:11c11040,10250145,00100200 HDA:10de0006,10de0101,00100000'
   Controls : 37
   Simple ctrls : 20
CrashCounter: 1
Date: Tue Oct 4 13:18:03 2011
ExecutablePath: /usr/bin/pulseaudio
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
ProcEnviron:
 SHELL=/bin/false
 LANG=en_GB.UTF-8
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
SegvAnalysis:
 Segfault happened at: 0x7f608a00813b: mov %rdx,0x28(%rax)
 PC (0x7f608a00813b) ok
 source "%rdx" ok
 destination "0x28(%rax)" (0x00000048) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: pulseaudio
StacktraceTop:
 ?? () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.0.so
 pa_hashmap_free () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.0.so
 pa_modargs_free () from /usr/lib/libpulsecore-1.0.so
 module_jackdbus_detect_LTX_pa__init () from /usr/lib/pulse-1.0/modules/module-jackdbus-detect.so
 pa_module_load () from /usr/lib/libpulsecore-1.0.so
Title: pulseaudio crashed with SIGSEGV in pa_hashmap_free()
UpgradeStatus: Upgraded to oneiric on 2011-09-22 (11 days ago)
UserGroups:

dmi.bios.date: 12/03/2008
dmi.bios.vendor: Acer
dmi.bios.version: V1.10
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 8930
dmi.board.vendor: Acer
dmi.board.version: PSMBOU-1234567
dmi.chassis.type: 1
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrV1.10:bd12/03/2008:svnAcer:pnAspire8930:pvrV1.10:rvnAcer:rnAspire8930:rvrPSMBOU-1234567:cvnAcer:ct1:cvrN/A:
dmi.product.name: Aspire 8930
dmi.product.version: V1.10
dmi.sys.vendor: Acer

Shanekpiper (shanekpiper) wrote :

StacktraceTop:
 remove_entry (h=0xa5aad0, e=0xaa8590) at pulsecore/hashmap.c:77
 pa_hashmap_free (h=0xa5aad0, free_cb=0x7f608a26d3f0 <free_func>, userdata=0x0) at pulsecore/hashmap.c:110
 pa_modargs_free (ma=0xa523e0) at pulsecore/modargs.c:262
 ?? ()
 ?? ()

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
David Henningsson (diwic) wrote :

Thanks for your bug report, it will be fixed.

visibility: private → public
summary: - pulseaudio crashed with SIGSEGV in pa_hashmap_free()
+ [module-jackdbus-detect] pulseaudio crashed with SIGSEGV in
+ pa_hashmap_free()
Changed in pulseaudio (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.0-0ubuntu4

---------------
pulseaudio (1:1.0-0ubuntu4) precise; urgency=low

  [ David Henningsson ]
  * Added patches:
    0103-module-jackdbus-detect-Avoid-double-free-of-modargs.patch:
      (LP: #867444)
    0104-source-output-Do-not-use-unset-channel-map-in-pa_sou.patch:
      (LP: #864071)
    0105-Fix-deferred-volume-not-being-applied-if-sink-is-clo.patch,
    0017-Hack-around-a-bug-in-the-core-causing-volumes-not-to.patch:
      These two patches affect users not having their volume correctly
      set on port change (LP: #877954)

  [ Luke Yelavich ]
  * debian/control: Update Vcs-Bzr field
  * 0102-Always-return-a-three-part-version-number-in-API-cal.patch: Refresh
    the patch from upstrea git, to refer to the correct commit hash, and
    update the description
  * Pull some bug fixes from the stable-1.x upstream git branch:
    - 411af6b (sink: Move updating the requested latency after the rewind
               request when finishing a stream move.)
    - 87f70c6 (null-sink: Set latency range at the time of initialization of
               module.)
    - d71a291 (Make pulse build with clang again)
    - 4e5943b (alsa: Give compressed formats preference over PCM)
    - 867170a (alsa: Better error handling in mixer rtpoll callback)
    - c055c55 (echo-cancel: Fail if loaded between a sink and its monitor)
    - 8754e0c (doc: Add some more doxygen tags to existing comments)
    - 2c30c07 (alsa: Make mixer error handling more robust still)
    - 8a5e6e8 (echo-cancel: Don't crash if adjust_time = 0)
    - 7b13a79 (echo-cancel: Close debug files on module unload)
    - 6bf0489 (tests: Fix calculation of memblock size in resampler-test)
    - 93f55a4 (filter-apply: Move sink/source unlink callbacks before m-s-r)
    - b1dabfb (build-sys: Drop libsamplerate from pulsecommon deps)
    - 743a4d0 (build-sys: Provide a simple CMake Config setup (similar to
               pkgconfig))
  * Add liborc-0.4-dev as a build dependency to add orc support
  * debian/libpulse-dev.install: Ship cmake files
 -- Luke Yelavich <email address hidden> Thu, 20 Oct 2011 11:36:43 +1100

Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released

Hello Shanekpiper, or anyone else affected,

Accepted pulseaudio into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pulseaudio (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.0-0ubuntu3.1

---------------
pulseaudio (1:1.0-0ubuntu3.1) oneiric-proposed; urgency=low

  [ David Henningsson ]
  * Added patches:
    0103-module-jackdbus-detect-Avoid-double-free-of-modargs.patch:
      (LP: #867444)
    0104-source-output-Do-not-use-unset-channel-map-in-pa_sou.patch:
      (LP: #864071)
    0105-Fix-deferred-volume-not-being-applied-if-sink-is-clo.patch,
    0017-Hack-around-a-bug-in-the-core-causing-volumes-not-to.patch:
      These two patches affect users not having their volume correctly
      set on port change (LP: #877954)
 -- Luke Yelavich <email address hidden> Thu, 27 Oct 2011 08:37:49 +1100

Changed in pulseaudio (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers